<?php
	include "include/globals.php";
	include $_SESSION['addressbookstorage'];

	// Open the addressbook
	$AddressBook = new AddressBook();

	// First check to see if there is an abid, and that it can be opened
	if (isset($_REQUEST["abid"]) && ((int)$_REQUEST["abid"] > 0)) {
		$entry = $AddressBook->GetEntryInfo($_REQUEST["abid"]);
		if ($entry === false) {
			echo(" error accessing address book id " . (int)$_REQUEST["abid"]);
			exit;
		}
	} else {
		echo(" No entries in the address book.\n");
		exit;
	}

	// Now, if we have an action to perform, let's perform it
	$refresh = false;
	if (isset($_REQUEST["action"])) {
		if ($_REQUEST["action"] == "changename") {
			if ($AddressBook->SetEntryName($_REQUEST["abid"], $_REQUEST["value"]) === false) {
				$error = gettext("Error") . ": " . gettext("Unable to set entry name");
			} else {
				$refresh = true;
			}
		} else if ($_REQUEST["action"] == "changenickname") {
			if ($AddressBook->SetEntryNickname($_REQUEST["abid"], $_REQUEST["value"]) === false) {
				$error = gettext("Error") . ": " . gettext("Unable to set entry nickname");
			} else {
				$refresh = true;
			}
		} else if ($_REQUEST["action"] == "setdefault") {
			if ($AddressBook->SetDefaultEmail($_REQUEST["abid"], $_REQUEST["value"]) === false) {
				$error = gettext("Error") . ": " . gettext("Unable to set e-mail as default");
			}
		} else if ($_REQUEST["action"] == "changeemail") {
			if ($AddressBook->ChangeEmail($_REQUEST["abid"], $_REQUEST["old"], $_REQUEST["value"]) === false) {
				$error = gettext("Error") . ": " . gettext("Unable to change e-mail address");
			}
		} else if ($_REQUEST["action"] == "deleteemail") {
			if ($AddressBook->DeleteEmail($_REQUEST["abid"], $_REQUEST["value"]) === false) {
				$error = gettext("Error") . ": " . gettext("Unable to delete e-mail address");
			}
		} else if ($_REQUEST["action"] == "addemail") {
			if ($AddressBook->AddEmailAddress($_REQUEST["abid"], $_REQUEST["value"]) === false) {
				$error = gettext("Error") . ": " . gettext("Unable to add e-mail address");
			}
		} else if ($_REQUEST["action"] == "addentry") {
			$result = $AddressBook->AddEntry(trim($_REQUEST["value"]));
			if ($result["code"] == 2) {
				$error = gettext("Error") . ": " . gettext("E-mail address already in the address book");
			}
		} else if ($_REQUEST["action"] == "deleteentry") {
			if ($AddressBook->DeleteEntry($_REQUEST["abid"]) === false) {
				$error = gettext("Error") . ": " . gettext("Unable to delete addressbook entry");
			}
		}
	}

	// Now we get our changed entry
	$entry = $AddressBook->GetEntryInfo($_REQUEST["abid"]);

	PageHeader(1);
?>
<head>
	<title></title>
	<style type="text/css">
		@import "themes/<?php echo($_SESSION["themedir"]);?>/css/addressbookentry.css";
		@import "themes/<?php echo($_SESSION["themedir"]);?>/css/globals.css";
	</style>
</head>
<body>
<div id="namelabel">
	<?php echo(gettext("Name") . ":");?>
</div>
<div id="nicknamelabel">
	<?php echo(gettext("Nickname") . ":");?>
</div>
<div id="nametext" onclick="CV('changename', '<?php echo(addslashes($entry["name"]));?>');">
	<?php
		if ($entry["first"] == "" && $entry["middle"] == "" && $entry["last"] == "") {
			echo(gettext("None"));
		} else {
			echo(trim($entry["first"] . " " . $entry["middle"] . " " . $entry["last"]));
		}
	?>
</div>
<div id="nicknametext" onclick="CV('changenickname', '<?php echo(addslashes($entry["nickname"]));?>');">
	<?php
		if ($entry["nickname"] == "") {
			echo(gettext("None"));
		} else {
			echo(trim($entry["nickname"]));
		}
	?>
</div>
<div id="header">
	<div id="header_leftcap">
	</div>
	<div id="header_rightcap">
	</div>
	<div id="header_default">
		<?php echo(gettext("Default"));?>
	</div>
	<div id="header_address">
		<?php echo(gettext("Address"));?>
	</div>
	<div id="header_action">
		<?php echo(gettext("Action"));?>
	</div>
</div>
<form id="emailform" onsubmit="return false;" action="">
	<table id="emailtable">
<?php
	if (!isset($entry["default"]) && (count($entry["emails"]) > 0)) {
		$AddressBook->SetDefaultEmail($_REQUEST["abid"], $entry["emails"][0]);
		$entry["default"] = $entry["emails"][0];
	}
	for ($i = 0; $i < count($entry["emails"]); $i++) {
		echo("		<tr>\n");
		echo("			<td id=\"defaultcell\">\n");
		echo("				<div><input type=\"radio\" name=\"setDefault\" onchange=\"SetDefault('" . addslashes($entry["emails"][$i]) . "')\"");
		if ($entry["default"] == $entry["emails"][$i]) {
			echo(" checked=\"checked\"");
		}
		echo("/></div>\n");
		echo("			</td>\n");
		echo("			<td class=\"addresscell\">\n");
		echo("				<div><span onclick=\"alert('send an e-mail')\">" . $entry["emails"][$i] . "</span></div>\n");
		echo("			</td>\n");
		echo("			<td class=\"editcell\">\n");
		echo("				<div onclick=\"CE('" . addslashes($entry["emails"][$i]) . "')\"><span>" . gettext("edit") . "</span></div>\n");
		echo("			</td>\n");
		echo("			<td class=\"deletecell\">\n");
		echo("				<div onclick=\"DE('" . addslashes($entry["emails"][$i]) . "')\"><span>" . gettext("delete") . "</span></div>\n");
		echo("			</td>\n");
		echo("		</tr>\n");
	}
?>
	</table>
	<div id="newaddress" onclick="NA()">
		<span><?php echo(gettext("Add new address"));?></span>
	</div>
</form>
<script type="text/javascript">
<!--
	abid = <?php echo((int)$_REQUEST["abid"]);?>;
	<?php
		if ($refresh === true) {
			echo("	parent.ablist.location.href = 'addressbooklist.php';\n");
		}
	?>

<?php
	if (isset($error)) {
		echo("	alert('" . addslashes($error) . "');\n");
	}
?>
	function CV(action, value) {
		var newvalue = prompt('<?php echo(addslashes(gettext("Please enter the new value")));?>', value);
		if ((newvalue != null) && (newvalue != value)) {
			location.href = 'addressbookentry.php?abid=<?PHP echo((int)$_REQUEST["abid"]);?>&action=' + action + '&value=' + escape(newvalue);
		}
	}

	function DE(value) {
		if (confirm('<?php echo(addslashes(gettext("Are you sure you wish to delete this e-mail address?")));?>')) {
			location.href = 'addressbookentry.php?abid=<?PHP echo((int)$_REQUEST["abid"]);?>&action=deleteemail&value=' + escape(value) + '&r=<?PHP echo(rand());?>';
		}
	}

	function CE(value) {
		var newemail = prompt('<?php echo(addslashes(gettext("Please enter the new email address")));?>', value);
		if ((newemail != null) && (newemail != value)) {
			location.href = 'addressbookentry.php?abid=<?php echo((int)$_REQUEST["abid"]);?>&action=changeemail&old=' + escape(value) + '&value=' + escape(newemail);
		}
	}

	function NA() {
		var newemail = prompt('<?php echo(addslashes(gettext("Please enter the new email address")));?>', '');
		if ((newemail != null) && (newemail != '')) {
			location.href = 'addressbookentry.php?abid=<?PHP echo ((int)$_REQUEST["abid"]);?>&action=addemail&value=' + escape(newemail);
		}
	}

	function SetDefault(value) {
		location.href = 'addressbookentry.php?abid=<?PHP echo ((int)$_REQUEST["abid"]);?>&action=setdefault&value=' + escape(value);
	}

	function NewMail(e) {
		window.open('sendmail.php?abid=' + abid, '', 'width=640,height=480,toolbars=no,scrollbars=no,resizable');
	}
// -->
</script>
</body>
</html>
