<?php
	include "include/globals.php";
	include $_SESSION['addressbookstorage'];

	if (!isset($_REQUEST["identityid"])) {
		echo("No identityid requested");
		exit;
	}

	$AddressBook = new AddressBook();

	if (isset($_REQUEST["submit"])) {
		$AddressBook->SetIdentityName($_REQUEST["identityid"], trim($_REQUEST["identityname"]));

		// Set the display name of this identity
		$AddressBook->SetIdentityAttribute($_REQUEST["identityid"], "displayname", trim($_REQUEST["displayname"]));

		// Set the from address for this identity
		$AddressBook->SetIdentityAttribute($_REQUEST["identityid"], "fromaddress", trim($_REQUEST["fromaddress"]));

		// Set the reply-to address for this identity
		$AddressBook->SetIdentityAttribute($_REQUEST["identityid"], "replyto", trim($_REQUEST["replyto"]));

		// Set the organization name
		$AddressBook->SetIdentityAttribute($_REQUEST["identityid"], "organization", trim($_REQUEST["organization"]));

		// Set our signature
		$AddressBook->SetIdentityAttribute($_REQUEST["identityid"], "signature", trim($_REQUEST["signature"]));

		header("Location: settingsidentities.php");
		exit;
	}

	$identity = $AddressBook->GetIdentityInfo($_REQUEST["identityid"]);

	PageHeader(1);
?>
<head>
	<title></title>
	<style type="text/css">
		@import "themes/<?php echo($_SESSION["themedir"]);?>/css/globals.css";
		@import "themes/<?php echo($_SESSION["themedir"]);?>/css/settingseditidentity.css";
	</style>
	<script type="text/javascript">
		<!--
		parent.sheader.location.href = 'header.php?header=<?php echo(urlencode(gettext("Editing an Identity")));?>';
		// -->
	</script>
</head>
<body>
<form id="identityform" method="post" action="settingseditidentity.php">
	<p>
		<input type="hidden" name="identityid" value="<?php echo($_REQUEST["identityid"]);?>"/>
	</p>
	<table id="identitytable">
		<tr>
			<td class="label">
				<?php echo(gettext("Identity Name") . "\n");?>
			</td>
			<td>
				<input type="text" name="identityname" value="<?php echo(htmlspecialchars($identity["name"]));?>"/>
			</td>
		</tr>
		<tr>
			<td class="label">
				<?php echo(gettext("Display Name") . "\n");?>
			</td>
			<td>
				<input type="text" name="displayname" value="<?php echo(htmlspecialchars($identity["displayname"]));?>"/>
			</td>
		</tr>
		<tr>
			<td class="label">
				<?php echo(gettext("From Address") . "\n");?>
			</td>
			<td>
				<input type="text" name="fromaddress" value="<?php echo(htmlspecialchars($identity["fromaddress"]));?>"/>
			</td>
		</tr>
		<tr>
			<td class="label">
				<?php echo(gettext("Reply To Address") . "\n");?>
			</td>
			<td>
				<input type="text" name="replyto" value="<?php echo(htmlspecialchars($identity["replyto"]));?>"/>
			</td>
		</tr>
		<tr>
			<td class="label">
				<?php echo(gettext("Organization") . "\n");?>
			</td>
			<td>
				<input type="text" name="organization" value="<?php echo(htmlspecialchars($identity["organization"]));?>"/>
			</td>
		</tr>
		<tr>
			<td class="label">
				<?php echo(gettext("Signature") . "\n");?>
			</td>
			<td>
				<textarea name="signature" rows="6" cols=""><?php echo(htmlspecialchars($identity["signature"]));?></textarea>
			</td>
		</tr>
		<tr>
			<td colspan="2" id="submitcell">
				<input type="submit" name="submit" value=" <?php echo(gettext("Update"));?> "/>
			</td>
		</tr>
	</table>
</form>
</body>
</html>
